Skip to main content
PUT
Edit a donation

Authorizations

X-HYS-API-Key
string
header
required

Gratona API key sent with the compatibility header X-HYS-API-Key.

Path Parameters

donation_id
integer
required

ID of the donation to be edited

Body

application/json

Donation data to be edited

amount
string
Example:

"20"

client_id
integer
Example:

1

created_at
string
Example:

"2022-01-01 00:00:00"

designation
integer
Example:

1

donation_id
integer
Example:

1

donor_id
integer
Example:

1

id
integer
Example:

1

method
integer
Example:

1

one_time
integer
Example:

1

result
string
Example:

"<p>Result note</p>"

type
integer
Example:

1

is_tax_deductible

Whether the gift is tax deductible. Grouped donation edits accept one boolean per allocation.

Example:

false

acknowledgement_status
enum<string> | null

Optional stewardship acknowledgement state to apply while editing the donation.

Available options:
acknowledged,
unacknowledged,
null
Example:

"acknowledged"

acknowledgement_note
string | null

Optional note stored with the acknowledgement change.

Maximum string length: 1000
Example:

"Handwritten thank-you completed."

Response

Donation successfully edited.

message
string
Example:

"Successfull"